package com.ruoyi.project.pssr.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.ruoyi.framework.aspectj.lang.annotation.Excel;
import com.ruoyi.framework.web.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;
import java.util.List;

/**
 * 支（吊）架对象 t_pssr_frame
 *
 * @author ssy
 * @date 2024-09-23
 */
public class TPssrFrame extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 唯一标识ID */
    private Long id;

    /** 内容表id */
    @Excel(name = "内容表id")
    private Long subId;

    /** 审批id */
    @Excel(name = "审批id")
    private Long approveId;

    /** 所在区域 */
    @Excel(name = "所在区域")
    private String region;

    /** 支架编号 */
    @Excel(name = "支架编号")
    private String bracketNumber;

    /** 管线号 */
    @Excel(name = "管线号")
    private String pipelineNumber;

    /** 设备位号 */
    @Excel(name = "设备位号")
    private String devNo;

    /** 支架形式 */
    @Excel(name = "支架形式")
    private String supportType;

    /** 管部 */
    @Excel(name = "管部")
    private String framePipe;
    private String framePipe1;
    private String framePipe2;

    /** 根部 */
    @Excel(name = "根部")
    private String frameRoot;
    private String frameRoot1;
    private String frameRoot2;
    private String frameRoot3;
    private String frameRoot4;

    /** 功能件 */
    @Excel(name = "功能件")
    private String functionalPart;
    private String functionalPart1;
    private String functionalPart2;
    private String functionalPart3;
    private String functionalPart4;

    /** 连接件 */
    @Excel(name = "连接件")
    private String connector;
    private String connector1;
    private String connector2;
    private String connector3;
    private String connector4;

    /** 处理结果 */
    @Excel(name = "处理结果")
    private String processingResult;

    /** 确认人 */
    @Excel(name = "确认人")
    private String confirm;

    /** 确认时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "确认时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date confirmationDate;

    /** 删除状态 */
    private Long delFlag;

    /** 创建人 */
    @Excel(name = "创建人")
    private String createrCode;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdate;

    /** 修改人 */
    @Excel(name = "修改人")
    private String updaterCode;

    /** 修改时间 */
    @JsonFormat(pattern = "yyyy-MM-dd" , timezone = "GMT+8")
    @Excel(name = "修改时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedate;

    /** 部门编号 */
    @Excel(name = "部门编号")
    private Long deptId;
    
    private String deptName;

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 审批状态 */
    @Excel(name = "审批状态")
    private Long approveStatus;
    private String confirm1Name;
    private String confirm2Name;
    private List<Long> fileIds;
    private List<TPssrFile> fileList;

    private String reason;
    
    private Long fileNum;

    public Long getFileNum() {
        return fileNum;
    }

    public void setFileNum(Long fileNum) {
        this.fileNum = fileNum;
    }

    public String getReason() {
        return reason;
    }

    public void setReason(String reason) {
        this.reason = reason;
    }

    public List<TPssrFile> getFileList() {
        return fileList;
    }

    public void setFileList(List<TPssrFile> fileList) {
        this.fileList = fileList;
    }

    public List<Long> getFileIds() {
        return fileIds;
    }

    public void setFileIds(List<Long> fileIds) {
        this.fileIds = fileIds;
    }

    public String getConfirm1Name() {
        return confirm1Name;
    }

    public void setConfirm1Name(String confirm1Name) {
        this.confirm1Name = confirm1Name;
    }

    public String getConfirm2Name() {
        return confirm2Name;
    }

    public void setConfirm2Name(String confirm2Name) {
        this.confirm2Name = confirm2Name;
    }

    /** 确认人1 */
    @Excel(name = "确认人1")
    private String confirm1;

    /** 确认人2 */
    @Excel(name = "确认人2")
    private String confirm2;

    private String examiner;

    private Long[] ids;

    private Long taskType;

    public String getFramePipe1() {
        return framePipe1;
    }

    public void setFramePipe1(String framePipe1) {
        this.framePipe1 = framePipe1;
    }

    public String getFramePipe2() {
        return framePipe2;
    }

    public void setFramePipe2(String framePipe2) {
        this.framePipe2 = framePipe2;
    }

    public String getFrameRoot1() {
        return frameRoot1;
    }

    public void setFrameRoot1(String frameRoot1) {
        this.frameRoot1 = frameRoot1;
    }

    public String getFrameRoot2() {
        return frameRoot2;
    }

    public void setFrameRoot2(String frameRoot2) {
        this.frameRoot2 = frameRoot2;
    }

    public String getFrameRoot3() {
        return frameRoot3;
    }

    public void setFrameRoot3(String frameRoot3) {
        this.frameRoot3 = frameRoot3;
    }

    public String getFrameRoot4() {
        return frameRoot4;
    }

    public void setFrameRoot4(String frameRoot4) {
        this.frameRoot4 = frameRoot4;
    }

    public String getFunctionalPart1() {
        return functionalPart1;
    }

    public void setFunctionalPart1(String functionalPart1) {
        this.functionalPart1 = functionalPart1;
    }

    public String getFunctionalPart2() {
        return functionalPart2;
    }

    public void setFunctionalPart2(String functionalPart2) {
        this.functionalPart2 = functionalPart2;
    }

    public String getFunctionalPart3() {
        return functionalPart3;
    }

    public void setFunctionalPart3(String functionalPart3) {
        this.functionalPart3 = functionalPart3;
    }

    public String getFunctionalPart4() {
        return functionalPart4;
    }

    public void setFunctionalPart4(String functionalPart4) {
        this.functionalPart4 = functionalPart4;
    }

    public String getConnector1() {
        return connector1;
    }

    public void setConnector1(String connector1) {
        this.connector1 = connector1;
    }

    public String getConnector2() {
        return connector2;
    }

    public void setConnector2(String connector2) {
        this.connector2 = connector2;
    }

    public String getConnector3() {
        return connector3;
    }

    public void setConnector3(String connector3) {
        this.connector3 = connector3;
    }

    public String getConnector4() {
        return connector4;
    }

    public void setConnector4(String connector4) {
        this.connector4 = connector4;
    }

    public String getConfirm1() {
        return confirm1;
    }

    public void setConfirm1(String confirm1) {
        this.confirm1 = confirm1;
    }

    public String getConfirm2() {
        return confirm2;
    }

    public void setConfirm2(String confirm2) {
        this.confirm2 = confirm2;
    }

    public String getExaminer() {
        return examiner;
    }

    public void setExaminer(String examiner) {
        this.examiner = examiner;
    }

    public Long[] getIds() {
        return ids;
    }

    public void setIds(Long[] ids) {
        this.ids = ids;
    }

    public Long getTaskType() {
        return taskType;
    }

    public void setTaskType(Long taskType) {
        this.taskType = taskType;
    }

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }
    public void setSubId(Long subId)
    {
        this.subId = subId;
    }

    public Long getSubId()
    {
        return subId;
    }
    public void setApproveId(Long approveId)
    {
        this.approveId = approveId;
    }

    public Long getApproveId()
    {
        return approveId;
    }
    public void setRegion(String region)
    {
        this.region = region;
    }

    public String getRegion()
    {
        return region;
    }
    public void setBracketNumber(String bracketNumber)
    {
        this.bracketNumber = bracketNumber;
    }

    public String getBracketNumber()
    {
        return bracketNumber;
    }
    public void setPipelineNumber(String pipelineNumber)
    {
        this.pipelineNumber = pipelineNumber;
    }

    public String getPipelineNumber()
    {
        return pipelineNumber;
    }
    public void setDevNo(String devNo)
    {
        this.devNo = devNo;
    }

    public String getDevNo()
    {
        return devNo;
    }
    public void setSupportType(String supportType)
    {
        this.supportType = supportType;
    }

    public String getSupportType()
    {
        return supportType;
    }
    public void setFramePipe(String framePipe)
    {
        this.framePipe = framePipe;
    }

    public String getFramePipe()
    {
        return framePipe;
    }
    public void setFrameRoot(String frameRoot)
    {
        this.frameRoot = frameRoot;
    }

    public String getFrameRoot()
    {
        return frameRoot;
    }
    public void setFunctionalPart(String functionalPart)
    {
        this.functionalPart = functionalPart;
    }

    public String getFunctionalPart()
    {
        return functionalPart;
    }
    public void setConnector(String connector)
    {
        this.connector = connector;
    }

    public String getConnector()
    {
        return connector;
    }
    public void setProcessingResult(String processingResult)
    {
        this.processingResult = processingResult;
    }

    public String getProcessingResult()
    {
        return processingResult;
    }
    public void setConfirm(String confirm)
    {
        this.confirm = confirm;
    }

    public String getConfirm()
    {
        return confirm;
    }
    public void setConfirmationDate(Date confirmationDate)
    {
        this.confirmationDate = confirmationDate;
    }

    public Date getConfirmationDate()
    {
        return confirmationDate;
    }
    public void setDelFlag(Long delFlag)
    {
        this.delFlag = delFlag;
    }

    public Long getDelFlag()
    {
        return delFlag;
    }
    public void setCreaterCode(String createrCode)
    {
        this.createrCode = createrCode;
    }

    public String getCreaterCode()
    {
        return createrCode;
    }
    public void setCreatedate(Date createdate)
    {
        this.createdate = createdate;
    }

    public Date getCreatedate()
    {
        return createdate;
    }
    public void setUpdaterCode(String updaterCode)
    {
        this.updaterCode = updaterCode;
    }

    public String getUpdaterCode()
    {
        return updaterCode;
    }
    public void setUpdatedate(Date updatedate)
    {
        this.updatedate = updatedate;
    }

    public Date getUpdatedate()
    {
        return updatedate;
    }
    public void setDeptId(Long deptId)
    {
        this.deptId = deptId;
    }

    public Long getDeptId()
    {
        return deptId;
    }
    public void setRemarks(String remarks)
    {
        this.remarks = remarks;
    }

    public String getRemarks()
    {
        return remarks;
    }
    public void setApproveStatus(Long approveStatus)
    {
        this.approveStatus = approveStatus;
    }

    public Long getApproveStatus()
    {
        return approveStatus;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("subId", getSubId())
            .append("approveId", getApproveId())
            .append("region", getRegion())
            .append("bracketNumber", getBracketNumber())
            .append("pipelineNumber", getPipelineNumber())
            .append("devNo", getDevNo())
            .append("supportType", getSupportType())
            .append("framePipe", getFramePipe())
            .append("frameRoot", getFrameRoot())
            .append("functionalPart", getFunctionalPart())
            .append("connector", getConnector())
            .append("processingResult", getProcessingResult())
            .append("confirm", getConfirm())
            .append("confirmationDate", getConfirmationDate())
            .append("delFlag", getDelFlag())
            .append("createrCode", getCreaterCode())
            .append("createdate", getCreatedate())
            .append("updaterCode", getUpdaterCode())
            .append("updatedate", getUpdatedate())
            .append("deptId", getDeptId())
            .append("remarks", getRemarks())
            .append("approveStatus", getApproveStatus())
            .toString();
    }
}
